Configurations - Create Or Update
Memperbarui konfigurasi server.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DBforPostgreSQL/servers/{serverName}/configurations/{configurationName}?api-version=2017-12-01
Parameter URI
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
configuration
|
path | True |
|
Nama konfigurasi server. |
|
resource
|
path | True |
|
Nama grup sumber daya. Nama tidak peka huruf besar/kecil. |
|
server
|
path | True |
|
Nama server. |
|
subscription
|
path | True |
|
ID langganan target. |
|
api-version
|
query | True |
|
Versi API yang digunakan untuk operasi ini. |
Isi Permintaan
| Name | Type | Description |
|---|---|---|
| properties.source |
|
Sumber konfigurasi. |
| properties.value |
|
Nilai konfigurasi. |
Respons
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
|
| 202 Accepted |
Diterima |
|
| Other Status Codes |
Respons kesalahan yang menjelaskan mengapa operasi gagal. |
Keamanan
azure_auth
Azure Active Directory Flow OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | meniru akun pengguna Anda |
Contoh
ConfigurationCreateOrUpdate
Sample Request
PUT https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestGroup/providers/Microsoft.DBforPostgreSQL/servers/testserver/configurations/array_nulls?api-version=2017-12-01
{
"properties": {
"value": "off",
"source": "user-override"
}
}
Sample Response
{
"properties": {
"value": "off",
"description": "Enable input of NULL elements in arrays.",
"defaultValue": "on",
"dataType": "Boolean",
"allowedValues": "on,off",
"source": "user-override"
},
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestGroup/providers/Microsoft.DBforPostgreSQL/servers/testserver/configurations/array_nulls",
"name": "array_nulls",
"type": "Microsoft.DBforPostgreSQL/servers/configurations"
}
Definisi
|
Cloud |
Respons kesalahan dari layanan Batch. |
| Configuration |
Mewakili Konfigurasi. |
|
Error |
Info tambahan kesalahan manajemen sumber daya. |
|
Error |
Respons Kesalahan |
CloudError
Respons kesalahan dari layanan Batch.
| Name | Type | Description |
|---|---|---|
| error |
Respons Kesalahan |
Configuration
Mewakili Konfigurasi.
| Name | Type | Description |
|---|---|---|
| id |
|
ID sumber daya yang sepenuhnya memenuhi syarat untuk sumber daya. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
|
Nama sumber daya. |
| properties.allowedValues |
|
Nilai konfigurasi yang diizinkan. |
| properties.dataType |
|
Jenis data konfigurasi. |
| properties.defaultValue |
|
Nilai default konfigurasi. |
| properties.description |
|
Deskripsi konfigurasi. |
| properties.source |
|
Sumber konfigurasi. |
| properties.value |
|
Nilai konfigurasi. |
| type |
|
Jenis sumber daya. Misalnya, "Microsoft.Compute/virtualMachines" atau "Microsoft. Storage/storageAccounts" |
ErrorAdditionalInfo
Info tambahan kesalahan manajemen sumber daya.
| Name | Type | Description |
|---|---|---|
| info |
|
Info tambahan. |
| type |
|
Jenis info tambahan. |
ErrorResponse
Respons Kesalahan
| Name | Type | Description |
|---|---|---|
| additionalInfo |
Info tambahan kesalahan. |
|
| code |
|
Kode kesalahan. |
| details |
Detail kesalahan. |
|
| message |
|
Pesan kesalahan. |
| target |
|
Target kesalahan. |